import React, {Component} from 'react';
import './index.less'

class CardItem extends Component {
    state = {
        addStatus: false
    }
    componentWillReceiveProps(nextProps, nextContext) {
        if (this.props.addStatus !== nextProps.addStatus) {
            this.setState({ addStatus: this.props.addStatus });
        }
    }

    render() {
        const {data, addCommon} = this.props;
        return (
            <div className="card-content" onClick={() => data.iconAdd ? addCommon() : null }>
                {data.text && (
                    <div>
                        <div className="card-content-img">
                            <img src={data.icon} className="card-content-img-svg" alt="" />
                        </div>
                        <div className="card-content-title">
                            {data.text}
                        </div>
                    </div>
                )}
            </div>
        );
    }
}

export default CardItem;
